### Virtual Method

# Gtk BuilderScope get_type_from_function

#### Declaration [src]

    GType
    get_type_from_function (
      GtkBuilderScope* self,
      GtkBuilder* builder,
      const char* function_name
    )

#### Description [src]

Try to lookup a `GType` via the given function name, specified explicitly in a GtkBuilder file, like via the “type-func” attribute in the `<object>` tag. This function is very rarely used. The C implementation will use `dlsym()` and call the resulting function as a `GTypeFunc`. The default implementation will fail and just return `G_TYPE_INVALID`.

#### Parameters

`builder`

  Type: `GtkBuilder`

  No description available.

  The data is owned by the caller of the method.

`function_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

No description available.